// iostorm.pov by Steve Attwood 26/7/95 'Alien Worlds' August Internet 
// competition picture. Requires a 12Mb swap file and 6500k of RAM to run.
// This pic took three bloody weeks to finish, three final versions of the
// picture and eleven (!) versions of the space ship. I certainly needed the 
// Orbital CD's and pizza to help finish this... 

#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"
#include "ste_inc.inc"

camera{
	location <20.0,0.0,-75.0>    
	direction <0.0,0.0,1.0>
	up <0.0,1.0,0.0>              
	sky <0,1,0>
	right <1.33333,0.0,0.0>
	look_at <0.0,0.0,0.0>       
}

// The sky
#declare gifpic = texture{
	pigment { image_map { gif "stars.gif"
			map_type 0
			interpolate 4
		} 
		scale 1
	}
}

#declare cloudz = texture{
	pigment{
		agate
		colour_map{
			[0.0, 0.05 colour red 0.9 green 0.9 blue 0.9 filter 0.2
			colour red 0.35 green 0.15 blue 0.5 filter 0.4]
			[0.05, 0.1 colour red 0.35 green 0.15 blue 0.5 filter 0.4
			colour red 0.0 green 0.05 blue 0.25 filter 0.4]
			[0.1, 0.2 colour red 0.0 green 0.05 blue 0.25 filter 0.4
			colour red 0.0 green 0.0 blue 0.2 filter 0.35]
			[0.2, 1.0 colour red 0.0 green 0.0 blue 0.2 filter 0.35
			colour red 0.0 green 0.0 blue 0.0 filter 0.5]
		}
	}
	scale <2000.0,2000.0,2000.0>
	translate <-5000.0,-1000.0,0.0>
}

#declare Bluestuff = texture{
	pigment{
		bozo 
		turbulence 3.5 
		colour_map{
			[0.0, 1.0 colour red 0.05 green 0.1 blue 0.98824 filter 0.4
			colour red 0.0 green 0.0 blue 0.1 filter 0.4]
		}
	}
	finish{
		ambient 0.9
		diffuse 0.0
	}
	scale <75.0,15.0,75.0> 
	rotate <0.0,20.0,0.0>   
	scale <200.0,200.0,200.0>
	translate <0.0,200.0,0.0>
}

sphere{ <0,0,0>, 5000
	texture{ gifpic }
	texture{ Bluestuff }
	texture{ cloudz } 
}

// Mountains of the planet
object{
	height_field{
		pot "fract010.pot"       
		water_level 0.005       
		smooth
		}
	scale <88.5,15.0,88.5>          
	rotate <0.0,0.0,180.0>
	translate <22.5, -1.7, -8.285>       
	texture{                        
	pigment{ 
		leopard
		turbulence 0.63 
		colour_map{
			[0.0, 0.25  colour red 0.7 green 0.6 blue 0.35
			 colour red 0.5 green 0.35 blue 0.0]
			[0.25, 1.01 colour red 0.5 green 0.35 blue 0.0
			 colour red 0.0 green 0.0 blue 0.0]
			}
	scale <0.9,0.9,0.9>
	}
	finish{
		reflection 0.0
		ambient 0.1
		diffuse 0.7
		phong 0.01
		phong_size 5.0
		}
	}
	scale <6.5,6.5,6.5>
	translate <0.2,0.0,0.065>
}

// Spacecraft 'F3' texture declarations

/* Texture declarations for object 'TopFin3' */
#declare TopFin3_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>    
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'TopFin4' */
#declare TopFin4_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'F3v11' */
#declare F3v11_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

#declare F3v11_2 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'Tank1' */
#declare Tank1_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'Engine1' */
#declare Engine1_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'WingB1' */
#declare WingB1_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'WingTnk1' */
#declare WingTnk1_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'TopFin5' */
#declare TopFin5_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
//              rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

/* Texture declarations for object 'Centre' */
#declare Centre_1 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
//              rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

#declare Centre_2 = texture {
pigment { 
		image_map{
			gif "64800t.gif"
			map_type 0
			interpolate 2
			}
		rotate <0.0,0.0,-90.0>
		rotate <0.0,90.0,0.0>
		}
	normal{
		bump_map{
			gif "64800b.gif"
			map_type 0
			interpolate 2
			bump_size 15
		}
		rotate <0.0,0.0,-90.0>
//              rotate <0.0,90.0,0.0>
	}               
    finish {
	ambient 0.1
	diffuse 0.7
	phong 1.0
	phong_size 70.0
	}
	scale <21.55,21.55,43.1>
	translate <0.0,0.0,21.55>
}

#include "c:\pov\pov41\f3v11.inc"

light_source{ <-100.0,10.0,30.0> colour red 0.8 green 0.8 blue 0.8 }

